## CongModification

CongModification —

## Synopsis

    #define     DEBUG_MODIFICATION_LIFETIMES
    struct      CongModification;
    #define     CONG_MODIFICATION               (obj)
    #define     CONG_MODIFICATION_CLASS         (klass)
    #define     IS_CONG_MODIFICATION            (obj)
    GType       cong_modification_get_type      (void);
    CongModification* cong_modification_construct
                                                (CongModification *modification,
                                                 CongDocument *doc);
    CongDocument* cong_modification_get_document
                                                (CongModification *modification);
    void        cong_modification_undo          (CongModification *modification);
    void        cong_modification_redo          (CongModification *modification);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongModificationCursorChange
             +----CongModificationSelectionChange
             +----CongModificationSetDtdPtr
             +----CongNodeModification

## Description

## Details

### DEBUG_MODIFICATION_LIFETIMES

    #define DEBUG_MODIFICATION_LIFETIMES 0

### struct CongModification

    struct CongModification;

### CONG_MODIFICATION()

    #define CONG_MODIFICATION(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_MODIFICATION_TYPE, CongModification)

`obj` : |

### CONG_MODIFICATION_CLASS()

    #define CONG_MODIFICATION_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_MODIFICATION_TYPE, CongModificationClass)

`klass` : |

### IS_CONG_MODIFICATION()

    #define IS_CONG_MODIFICATION(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_MODIFICATION_TYPE)

`obj` : |

### cong_modification_get_type ()

    GType       cong_modification_get_type      (void);

Returns : |

### cong_modification_construct ()

    CongModification* cong_modification_construct
                                                (CongModification *modification,
                                                 CongDocument *doc);

`modification` : |
`doc` : |
Returns : |

### cong_modification_get_document ()

    CongDocument* cong_modification_get_document
                                                (CongModification *modification);

TODO: Write me

`modification` : |
Returns : |

### cong_modification_undo ()

    void        cong_modification_undo          (CongModification *modification);

TODO: Write me

`modification` : |

### cong_modification_redo ()

    void        cong_modification_redo          (CongModification *modification);

TODO: Write me

`modification` : |